Deleting a macro
Use this request to delete macros.
DELETE
https://api.tracker.yandex.net/v3/queues/<queue_ID>/macros/<macro_ID>
Query format
Before making a request, get permission to access the API.
To delete a macro, use an HTTP DELETE request:
DELETE /v3/queues/<queue_ID>/macros/<macro_ID>
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth_token>
X-Org-ID or X-Cloud-Org-ID: <organization_ID>
Headers
-
Host: address of the node that provides the API. -
Authorization: Authorization token about these formats:-
OAuth <OAuth_token>: For authorization using the OAuth 2.0 protocol. Learn more -
Bearer <IAM_token>: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. Learn more
-
-
X-Org-IDorX-Cloud-Org-ID: Organization ID.-
Use the
X-Org-IDheader if a Tracker organization is linked to Yandex 360 for Business. -
Use the
X-Cloud-Org-IDheader if a Tracker organization is linked to Yandex Cloud Organization.
To get the organization ID, go to Administration → Organizations and copy the value from the ID field.
-
Resource
| Parameter | Description | Data type |
|---|---|---|
| <queue_ID> | Queue ID or key. The queue key is case-sensitive. | String |
| <macro_ID> | Macro ID. | String |
Response format
If the request is successful, the API returns a response with code 204.
The response body is missing.